das Aktualisierungsprüfung / updatecheck plugin

  • Noch was anderes - OoZooN hat mich drauf aufmerksam gemacht das man in Images die von einem BA device gebootet sind durch die fehlenden /boot mounts in der fstab unnötig fehler kriegt.


    Ich habe jetzt eine 0.9.3 gemacht wo testweise wenn man in einem BA Image ist dann einfach das ba.sh ipk update statt dem ipkg upgrade verwendet wird das ja dann richtig die dummy /boot mounts während dem upgrade in die fstab einträgt.


    Bitte testet ob das mit BA images jetzt besser/zufriedenstellend funktioniert.


    Wenn man das image im Flash gebootet hat oder gar kein Multiboot sollte aber alles bleiben wie es ist - Ihr merkt also nur am Console output wenn das Plugin den upgrade in einem BA Image macht und dabei halt das ba.sh verwendet.


    Und wie üblich, wenn es funktioniert macht es Euch OoZooN an den Anfang des Threads.


    Mit neuen Funktionen ist dann aber jetzt erstmals schluss, ich muss noch den Code aufräumen und würde gerne noch ein paar Sprachfiles dazutun bis zur 1.0 am Wochenende - also strengt Euch an.


    PS: Und den Fehler das es nicht funktioniert wenn die eingestellte enigma2 Sprache nicht Englisch oder Deutsch ist hättet Ihr auch selber finden können (ist aber auch schon in der 0.9.3 gefixed) !


    LG
    gutemine

  • hat bei mir problemlos funktioniert :)

    mfg


    OoZooN


    .................................................................


    :403: Two Beer or not two Beer, that's the Question :408:


    aktuelle Nachrichten rund um OoZooN-Images gibt es auf Twitter

  • auch bei mir :top:

    [SIZE=7]Selfsat H50M4
    Ultimo4K /2xTwinS2, VTI, PLi, ATV...
    NAS: Qnap221[/SIZE]

  • OK, dann lassen wir es mal so, weil dann kann ich im BA die Sachen fixen wo es hingehört falls man dran was ändern muss und der updatecheck braucht keine Anpassungen.


    PS: Setzt mal die Sprache im enigma2 auf etwas was nicht deutsch/englisch ist, restartet enigma2 und berichtet ob das Plugin auch noch angezeigt wird. Bis zur 0.9.3 ging das nicht weil er kein *.mo file gefunden hat, jetzt sollte er auf Englisch zurückfallen.


    LG
    gutemine

    Edited 2 times, last by gutemine ().

  • Unter erweiterungen wird nicht angezeigt aber auf der blauen taste befindet sich auf der liste.


    nachtrag:
    sorry, es wird doch unter erweiterungen angezeigt, ich hatte die E2 nicht restartet...

    [SIZE=7]Selfsat H50M4
    Ultimo4K /2xTwinS2, VTI, PLi, ATV...
    NAS: Qnap221[/SIZE]

    Edited once, last by pasurimi ().

  • das Menu auf der Blauen Taste wird jedesmal neu erstellt, das in der Pluginliste bei den meisten images nur beim ersten start, insofern war das richtig so :-)


    Eigentlich wollte ich nichts neues mehr an dem Plugin machen (schon weil ich bei Auftragsarbeiten meistens faul bin), aber eines der Dinge die mir durch den kopf gehen wäre selktives updaten - man kann mit ipkg update nämlich auch einzelne pakete updaten !


    Insofern wäre es möglich z.B. nur den Treiber oder nur den secondstage loader zu aktualisieren, bzw. zu checken ob es neue gibt - ansonsten kriegt man die durch den normalen Softwareupdate natürlich auch, aber wer liest schon ob da auch die Treiber aktualisiert wurden,...


    Insofern wäre es eine Überlegung wert ob man für die Gelbe Taste nicht noch eine Auswahl einbauen sollte - Test all (=default), driver, loader und dann natürlich in folge auch nur diese aktualisieren ??


    Allerdings ist das nicht wirklich eine gute idee, weil Treiber/loader und enigma2 sollten ja immer zusammenpassen - also vergesst es besser gleich wieder :-)


    Und nachdem ich jetzt eben den code geschrieben habe wie man aus der Antwort vom ipk update -test rausfiltert von welchem Paketdatum auf welches Paketdatum der Upgrade passiert könnte man theoretisch auch einen kompletten Updatereport machen - wo für alle pakete gelistet wird ob aktualisiert wird und auf welches datum - wobei das nicht wirklich großen Mehrwert hätte, ausser das man vorher siehst ob ein Paket wo man Probleme hat aktualisierbar wäre ?


    Und im Prinzip gilt hier das selbe, wenn man nicht weis ob/was das neue paket tut (und wer liest schon die commits im CVS wirklich mit) dann bringt das dem normaluser nicht viel - und ich hätte eine Menge Arbeit es zu machen obwohl es nur cut und paste wäre - also vergesst es besser auch gleich wieder :-)


    PS: Scheinbar habe ich nur mehr blöde Ideen - scheinbar auch ein Hinweis das wir es einfach releasen sollten ...


    LG
    gutemine

    Edited 4 times, last by gutemine ().

  • Quote

    Original von gutemine
    der Gelbe button steht mit yellow im code - evt hast du einen skinn der einen Hintergrund macht der ihn verfärbt, wobei das eigentlich auch nicht sein kann.


    Insofern ist das komisch - probier mal anderen skinn aus um zu sehen ob sich was ändert - weil be mir ist er definitv GELB !


    LG
    gutemine


    Hallo Gutemine,


    habe jetzt mehrere HD-Skins ausprobiert und komme zu dem Ergebnis, das meine Augen noch in Ordnung sind. Das Gelb ist definitiv nicht das Gelb, was zum Beispiel in der Kanalliste/Provider zu sehen ist. Ist wirklich ein grünliches Gelb. Beim roten Button steht der letzte Buchstabe einzeln in der 2. Reihe. Aber das wichtigste: sonst funzt alles wunderbar. Danke dir und Oozoon für diese feine Sache.

  • ich hatte nur die idee und konnte gutemine breitschlagen es programmtechnisch umzusetzen :hurra:

    mfg


    OoZooN


    .................................................................


    :403: Two Beer or not two Beer, that's the Question :408:


    aktuelle Nachrichten rund um OoZooN-Images gibt es auf Twitter

  • I am running the latest image from Oozoon 2.6dev for DM8000 with all updates applied , the problem is the new update-check everytime i try to choose it from the blue menu the enigma crashes. I have just installed ver. 0.93.



    The1n

  • Dann möchte ich auch mal Rückmeldung geben.
    DM800 mit 2.6er OoZooN-Lean, plugin auf dem neuesten Stand.


    Gelb ist zwar gelb genug, aber die Box friert beim Aktualisieren ein.
    Ton läuft noch, aber Bild steht und auch via Telnet komm ich nicht mehr drauf.
    Ich warte noch fünf Minuten, dann muss ich wohl auch mal den Stecker ziehen.


    Panasonic TX50-EXW784
    Panasonic SC-ALL70TEGK / SC-ALL2 wireless 5.1 Soundbar
    dm8000, dm7080, dm800sev2, dm900-dvb-s2-unicable, dm900-dvb-s2-multisat


    http://www.dreambox-tools.info

  • Hi,


    eine Frage zu den Updates allegemein. Gibt es die grundsätzliche Möglichkeit die Updates wieder rückgängig zu machen?



    romeo-golf

  • Quote

    Original von The1n
    I am running the latest image from Oozoon 2.6dev for DM8000 with all updates applied , the problem is the new update-check everytime i try to choose it from the blue menu the enigma crashes. I have just installed ver. 0.93.



    The1n


    The crahs ist strange, because it happens when setting the windows title. I'm constructing the title a little bit strange from engigma2 standard strings, but this normally should work. Are you using any exotic skin or language setting ?


    Ciao
    gutemine

  • nur mit viel handarbeit weil der -force-downgrade parameter zumindest bei mir immer ignoriert wird. da muss man dann das entsprechende ipk manuel deinstallieren und die gewünschte version auch wieder manuell einspielen denn vorrangig werden die versionen vom feed installiert.

    mfg


    OoZooN


    .................................................................


    :403: Two Beer or not two Beer, that's the Question :408:


    aktuelle Nachrichten rund um OoZooN-Images gibt es auf Twitter

  • Quote

    Original von Oldboke
    Dann möchte ich auch mal Rückmeldung geben.
    DM800 mit 2.6er OoZooN-Lean, plugin auf dem neuesten Stand.


    Gelb ist zwar gelb genug, aber die Box friert beim Aktualisieren ein.
    Ton läuft noch, aber Bild steht und auch via Telnet komm ich nicht mehr drauf.
    Ich warte noch fünf Minuten, dann muss ich wohl auch mal den Stecker ziehen.


    Das ist selstsam, vor allem schon so früh - hattest du genug freien Platz im Flash vor dem starten des Upgrades - Blau ist ja jetzt zum checken da um überraschungen zu vermeiden wenn man sich nicht sicher ist.


    Und das gelb ist der wert der vom enigma2 vorgegeben ist, 3c5x9 verwendet keine button pngs um von den skinns unabhängig zu sein und das es in jedem image geht - die Knöpfe sind ja von seinem Logomanager geklaut, auch wenn ich ein paar mehr gemacht habe.


    LG
    gutemine

  • Hi Gutemine,


    Im using the Swain-HD skin and norwegian language, i tried last night with the standard skin from oozoon but with the same result, but i can try also with english language , will report back.


    The1n


  • Das hauptproblem ist so wie OoZooN schon schrieb das das downgrade nicht gedahct ist um mehrere pakete zu degradieren, weil die Abhängigkeiten dabei nicht ziehen. Besser ist Neuflashen oder vorher Freeze verwenden wenn das image im Flash ist, dann ist es leicht wieder einen rollback zu machen.


    Theoretisch könntem an zwar eine BOM (Bil of Material/Stückliste) machen was alles beim Aktualisieren überschreiben wurde und die ganzen pakete in der vorherigen Version mit force-downgrade auf einmal einspielen, aber die müssen dann auch noch auf dem Feed sein, und trotzdem wird es wahrscheinlich nicht immer klappen.


    Neuflashen ist also immer besser von backup das man vorher macht, insofern war die idee mit upgrade.sh gar nicht so schlecht und wurde ja auch umgesetzt.


    LG
    gutemine

    Edited once, last by gutemine ().

  • Quote

    Original von The1n
    Hi Gutemine,


    Im using the Swain-HD skin and norwegian language, i tried last night with the standard skin from oozoon but with the same result, but i can try also with english language , will report back.


    The1n


    Strange, because I thought I had fixed the non englisch/german language bug in Version 0.9.3 already - did your reboot upfter upgrading to 0.9.3 ?


    BTW you can have norwegian, simply get the updatecheck.po file dfrom the english locale directory install poedit on your PC and Translate it and post your file :-)

    Edited once, last by gutemine ().

  • Beim zweiten Versuch, hat es einwandfrei geklappt, Update auf 25.8.2009.
    Freien Speicherplatz hatte ich gecheckt (21MB).


    Jetzt mache ich gerade den dritten Test, er möchte auf 26.8.2009 updaten und hängt schon wieder fest.


    Kein Crashlog und leider wieder keinn Telnet möglich.


    Panasonic TX50-EXW784
    Panasonic SC-ALL70TEGK / SC-ALL2 wireless 5.1 Soundbar
    dm8000, dm7080, dm800sev2, dm900-dvb-s2-unicable, dm900-dvb-s2-multisat


    http://www.dreambox-tools.info

  • Quote

    Original von The1n
    Update, when i changed to english language everything seems ok, i can surely translate the po file to norwegian if you want me to.


    The1n


    It is only a few lines, take it from attachment if you want to do so.


    Poedit for easy trasnlation ona windows PC you can get from here: http://www.poedit.net/ If you are finished simply post the updatecheck.po with norwegian translation here.


    You will get a 0.9.4 with you language file soon after.


    Ciao
    gutemine

    Files

    Edited once, last by gutemine ().